pcl::cuda::OpenNIRGB Struct Reference

Simple structure holding RGB data. More...

`#include </build/pcl-rK6aXX/pcl-1.12.1+dfsg/cuda/common/include/pcl/cuda/point_cloud.h>`

## Public Attributes

unsigned char | r
unsigned char | g
unsigned char | b

## Detailed Description

Simple structure holding RGB data.

Definition at line 55 of file point_cloud.h.

## Member Data Documentation

## b

unsigned char pcl::cuda::OpenNIRGB::b

Definition at line 57 of file point_cloud.h.

Referenced by pcl::cuda::SetColor::operator()(), and pcl::cuda::ChangeColor::operator()().

## g

unsigned char pcl::cuda::OpenNIRGB::g

Definition at line 57 of file point_cloud.h.

Referenced by pcl::cuda::SetColor::operator()(), and pcl::cuda::ChangeColor::operator()().

## r

unsigned char pcl::cuda::OpenNIRGB::r

Definition at line 57 of file point_cloud.h.

Referenced by pcl::cuda::SetColor::operator()(), and pcl::cuda::ChangeColor::operator()().

The documentation for this struct was generated from the following file:

- /build/pcl-rK6aXX/pcl-1.12.1+dfsg/cuda/common/include/pcl/cuda/point_cloud.h